package com.example.mmad.testapp.service;

import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.rabbit.stream.producer.RabbitStreamTemplate;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
public class StreamProducer {
    @Autowired
    private RabbitStreamTemplate rabbitStreamTemplate;

    public void sendMessage(String message) {
        rabbitStreamTemplate.convertAndSend(message);
    }
}
